Ask Your Question

Kamlesh's profile - activity

2017-06-04 17:35:49 -0500 answered a question Packstack fail to install OpenStack - Ocata - Could not find dependency Package[openstack-ceilometer-common] for File[/etc/pki/tls/private/ssl_amqp_ceilometer.key]

Adding Log here, as it won't let me paste the log in comment.

Warning: ModuleLoader: module 'mysql' has unresolved dependencies - it will only see those that are resolved. Use 'puppet module list --tree' to see information about modules (file & line not available) Warning: This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::String. There is further documentation for validate_legacy function in the README. at ["/var/tmp/packstack/66e208595acb423eba6840f418c49920/manifests/192.168.255.128_controller.pp", 21]: (at /var/tmp/packstack/66e208595acb423eba6840f418c49920/modules/stdlib/lib/puppet/functions/deprecation.rb:25:in deprecation') Warning: ModuleLoader: module 'nova' has unresolved dependencies - it will only see those that are resolved. Use 'puppet module list --tree' to see information about modules (file & line not available) Warning: Unknown variable: '::nova::db::mysql_api::setup_cell0'. at /var/tmp/packstack/66e208595acb423eba6840f418c49920/modules/nova/manifests/db/mysql.pp:53:28 Warning: This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README. at ["/var/tmp/packstack/66e208595acb423eba6840f418c49920/manifests/192.168.255.128_controller.pp", 26]: (at /var/tmp/packstack/66e208595acb423eba6840f418c49920/modules/stdlib/lib/puppet/functions/deprecation.rb:25:indeprecation') Warning: This method is deprecated, please use the stdlib validate_legacy function, with Pattern[]. There is further documentation for validate_legacy function in the README. at ["/var/tmp/packstack/66e208595acb423eba6840f418c49920/manifests/192.168.255.128_controller.pp", 26]: (at /var/tmp/packstack/66e208595acb423eba6840f418c49920/modules/stdlib/lib/puppet/functions/deprecation.rb:25:in deprecation') Warning: This method is deprecated, please use match expressions with Stdlib::Compat::Array instead. They are described at https://docs.puppet.com/puppet/latest/reference/lang_data_type.html#match-expressions. at ["/var/tmp/packstack/66e208595acb423eba6840f418c49920/manifests/192.168.255.128_controller.pp", 26]: (at /var/tmp/packstack/66e208595acb423eba6840f418c49920/modules/stdlib/lib/puppet/functions/deprecation.rb:25:indeprecation') Warning: This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Array. There is further documentation for validate_legacy function in the README. at ["/var/tmp/packstack/66e208595acb423eba6840f418c49920/manifests/192.168.255.128_controller.pp", 26]:["/var/tmp/packstack/66e208595acb423eba6840f418c49920/modules/apache/manifests/default_mods.pp", 131] (at /var/tmp/packstack/66e208595acb423eba6840f418c49920/modules/stdlib/lib/puppet/functions/deprecation.rb:25:in deprecation') Warning: This method is deprecated, please use match expressions with Stdlib::Compat::String instead. They are described at https://docs.puppet.com/puppet/latest/reference/lang_data_type.html#match-expressions. at ["/var/tmp/packstack/66e208595acb423eba6840f418c49920/manifests/192.168.255.128_controller.pp", 26]:["/var/tmp/packstack/66e208595acb423eba6840f418c49920/modules/apache/manifests/default_mods.pp", 133] (at /var/tmp/packstack/66e208595acb423eba6840f418c49920/modules/stdlib/lib/puppet/functions/deprecation.rb:25:indeprecation') Warning: ModuleLoader: module 'openstacklib' has unresolved dependencies - it will only see those that are resolved. Use 'puppet module list --tree' to see information about modules (file & line not available) Warning: This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Hash. There is further documentation for validate_legacy function in the README. at ["/var/tmp/packstack/66e208595acb423eba6840f418c49920/manifests/192.168.255.128_controller.pp", 31]:["/var/tmp/packstack/66e208595acb423eba6840f418c49920/modules/glance ... (more)

2017-06-04 17:34:27 -0500 commented question Packstack fail to install OpenStack - Ocata - Could not find dependency Package[openstack-ceilometer-common] for File[/etc/pki/tls/private/ssl_amqp_ceilometer.key]

I have the same issue and here is the referenced log, can't tell anything new/different in the log that would help. I tried this today, so seems the issue is still there in latest codebase. Can't see anything in the log mentioned and can't post the log here as it is too big a file.

2015-11-02 02:04:30 -0500 received badge  Famous Question (source)
2015-11-01 09:04:49 -0500 received badge  Notable Question (source)
2015-11-01 09:04:49 -0500 received badge  Popular Question (source)
2015-10-01 16:40:17 -0500 asked a question Packstak -- Allinone fails on Keystone.pp, Invalid Para Destination

Hello,

I am running Packstack on a RHEL 7 environment. The AllInOne fails at below stage and message:

Applying 10.10.10.17_prescript.pp
10.10.10.17_prescript.pp:                            [ DONE ]       
Applying 10.10.10.17_amqp.pp
Applying 10.10.10.17_mariadb.pp
10.10.10.17_amqp.pp:                                 [ DONE ]     
10.10.10.17_mariadb.pp:                              [ DONE ]     
Applying 10.10.10.17_keystone.pp
Applying 10.10.10.17_glance.pp
Applying 10.10.10.17_cinder.pp
10.10.10.17_keystone.pp:                          [ ERROR ]        
Applying Puppet manifests                         [ ERROR ]

ERROR : Error appeared during Puppet run: 10.10.10.17_keystone.pp

Error: Invalid parameter destination on Class[Keystone::Cron::Token_flush] at /var/tmp/packstack/555cb0c2fccd42079facfef21ec817d0/manifests/10.10.10.17_keystone.pp:138 on node openstack-sandbox.cisco.com
You will find full trace in log /var/tmp/packstack/20151001-144014-B60p09/manifests/10.10.10.17_keystone.pp.log